For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
      • AstroFully-managed data operations, powered by Apache Airflow.
      • Astro Private CloudRun Airflow-as-a-service in your environment.
      • Professional ServicesExpert Airflow services for your enterprise's success.
    • Tools
      • Cosmos
      • Orbiter
      • CLI
      • AI SDK
      • Agents
      • Blueprint
      • UpdatesThe State of Airflow 2026See the insights from over 5,800 data practitioners in the full report. Download Now ➔
  • Customers
  • Docs
    • Insights
      • Blog
      • Webinars
      • Resource Library
      • Events
    • Education
      • Academy
      • What is Airflow?
  • Pricing
Get Started Free
  • Astro API v1
    • Overview
    • Get started
    • Versioning and support
    • Migrate to v1
    • Deploy with the API
  • API Reference
      • GETGet an Organization
      • GETGet Organization audit logs
      • GETList Organizations
      • POSTUpdate an Organization
    • Changelog
    • Book Office Hours

Product

  • Platform Overview
  • Astro
  • Astro Observe
  • Astro Private Cloud
  • Security & Trust
  • Pricing

Tools & Services

  • Cosmos
  • Docs
  • Professional Services
  • Product Updates

Use Cases

  • AI Ops
  • Data Observability
  • ETL/ELT
  • ML Ops
  • Operational Analytics
  • All Use Cases

Industries

  • Financial Services
  • Gaming
  • Retail
  • Manufacturing
  • Healthcare
  • All Industries

Resources

  • Academy
  • eBooks & Guides
  • Blog
  • Webinars
  • Events
  • The Data Flowcast Podcast
  • All Resources

Airflow

  • What is Airflow
  • Airflow on Astro
  • Airflow 3.0
  • Airflow Upgrades
  • Airflow Use Cases
  • Airflow 2.x End of Life

Company

  • Our Story
  • Customers
  • Newsroom
  • Careers
  • Contact

Support

  • Knowledge Base
  • Status
  • Contact Support
GitHubYouTubeLinkedInx
  • Legal
  • Privacy
  • Terms of Service
  • Consent Preferences

  • Do Not Sell or Share My Personal information
  • Limit the Use Of My Sensitive Personal Information

Apache Airflow®, Airflow, and the Airflow logo are trademarks of the Apache Software Foundation. Copyright © Astronomer 2026. All rights reserved.

LogoLogo
API ReferenceOrganization

Get Organization audit logs

GET
https://api.astronomer.io/v1/organizations/:organizationId/audit-logs
GET
/v1/organizations/:organizationId/audit-logs
$curl -G https://api.astronomer.io/v1/organizations/organizationId/audit-logs \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> --data-urlencode startDate=2024-05-01T00:00:00Z \
> --data-urlencode endDate=2024-05-07T23:59:59Z
200Retrieved
1[
2 31,
3 139,
4 8,
5 0,
6 0,
7 0,
8 0,
9 0,
10 0,
11 3,
12 75,
13 204,
14 201,
15 87,
16 40,
17 207,
18 47,
19 202,
20 73,
21 1,
22 0,
23 27,
24 139,
25 4,
26 19
27]
Retrieve audit logs for an Organization. The response is returned as a gzipped NDJSON file.
Was this page helpful?
Previous

List Organizations

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the Organization to retrieve audit logs for.

Query parameters

startDatestringOptionalformat: "date-time"
The start date of the logs.
endDatestringOptionalformat: "date-time"
The end date of the logs.

Response

OK